<?php
namespace Teknisa\MAN\Controllers;


use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Utilities;

class CadConsumidorParams extends CrudWithParameterBag {
    protected $dataSourceName = 'cadConsumidor_params';
    protected $parameterBagColumns = array('CDCLIENTE','CDCONSUMIDOR','NRORG');
    protected $utilService;

    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag, Utilities\Util $utilService) {
        $this->utilService = $utilService;
        parent::__construct($dataSourceManager, $parameterBag);
        
    }
    
     public function save(DTO\Request\DataSet $request, DTO\Response $response) {
        try {
            $dataSet = $request->getDataSet();
            $dataSet->setDataSourceName($this->dataSourceName);
            $persistedRows = $this->dataSourceManager->persist($dataSet);
            $response->addDataSet(new DataSet($this->dataSourceName, $persistedRows));
        } catch (\Exception $e) {
            $response->setError(new DTO\Response\Error($e->getMessage(), $e->getCode(), $e->getTraceAsString()));
        }
    }
   
}