<?php
namespace Teknisa\MAN\Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

/********* Atenção *************/
// MOVICLIE - Debito Consumidor 
/*******************************/

class AtualizaSaldoCons extends StoredProcedure {

    public function __construct(Connection $connection, $procedureName = 'ATUALIZA_SALDO_CONS') {
        parent::__construct($connection, $procedureName);
    }

    /**
     * @param 
     * @param $params
     * @param $nrorg
     * @return Execução
     */

    public function AtualizaSaldoCons($params){
        try {
            $CDFILIAL  = $params['CDFILIAL'];
            $CDCLIENTE  = $params['CDCLIENTE'];
            $CDCONSUMIDOR  = $params['CDCONSUMIDOR'];
            $DATA = $params['DATA'];
            $OPERADOR = $params['CDOPERADOR'];

            $this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $CDFILIAL, Param::PARAM_TYPE_STR, strlen($CDFILIAL)));
            $this->addParam(new Param('P_CDCLIENTE', Param::PARAM_INPUT, $CDCLIENTE, Param::PARAM_TYPE_STR, strlen($CDCLIENTE)));
            $this->addParam(new Param('P_CDCONSUMIDOR', Param::PARAM_INPUT, $CDCONSUMIDOR, Param::PARAM_TYPE_STR, strlen($CDCONSUMIDOR)));
            $this->addParam(new Param('P_DATA', Param::PARAM_INPUT, $DATA, Param::PARAM_TYPE_STR, strlen($DATA)));
            $this->addParam(new Param('P_OPERADOR', Param::PARAM_INPUT, $OPERADOR, Param::PARAM_TYPE_STR, strlen($OPERADOR)));
            $this->execute();
            $this->params = array();
        } catch (Exception $e) {
            throw $e;
        }
    }
}